Name:           kcheckers
Version:        0.8.1
Release:        4%{?dist}
Summary:        Checkers board game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://qcheckers.sourceforge.net/
Source0:        http://downloads.sourceforge.net/qcheckers/%{name}-%{version}.tar.gz
# Desktop file and patches are taken from ALT Linux package
Source1:        kcheckers.desktop
# Fedora specific prefix
Patch0:         kcheckers-0.8.1-prefix.patch
# Patch is committed into upstream CVS
Patch1:         kcheckers-0.8.1-qt-translator.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:       hicolor-icon-theme
BuildRequires:  qt4-devel desktop-file-utils

%description
The Qt version of the classic board game checkers. This game is also
known as draughts.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
qmake-qt4
make %{?_smp_mflags}
lrelease-qt4 i18n/*.ts


%install
rm -rf $RPM_BUILD_ROOT

install -Dp -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
install -Dp -m 644 icons/biglogo.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -p -m 644 i18n/*.qm $RPM_BUILD_ROOT/%{_datadir}/%{name}/
cp -p -r themes $RPM_BUILD_ROOT/%{_datadir}/%{name}/
%find_lang %{name} --with-qt


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog FAQ README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/themes


%changelog
* Tue Sep 29 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.1-4
- Use qt4-devel build requires

* Thu Apr 09 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.1-4
- Adding comments for patches

* Sat Mar 21 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.1-3
- Install icon to hicolor theme
- Use qt-devel build requires instead of qt4-devel

* Fri Mar 20 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.1-2
- Using find_lang to find qt translations
- Use desktop-file-install

* Sun Mar 08 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.1-1
- Initial package
